Package io.dapr.actors.client

# Class ActorClient

java.lang.Object
io.dapr.actors.client.ActorClient

All Implemented Interfaces:
  `AutoCloseable`

public class ActorClient extends Object implements AutoCloseable
Holds a client for Dapr sidecar communication. ActorClient should be reused.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActorClient()`
  Instantiates a new channel for Dapr sidecar communication.
  `ActorClient(ResiliencyOptions resiliencyOptions)`
  Instantiates a new channel for Dapr sidecar communication.
  `ActorClient(Properties overrideProperties)`
  Instantiates a new channel for Dapr sidecar communication.
  `ActorClient(Properties overrideProperties, ResiliencyOptions resiliencyOptions)`
  Instantiates a new channel for Dapr sidecar communication.
  `ActorClient(Properties overrideProperties, Map<String,String> metadata, ResiliencyOptions resiliencyOptions)`
  Instantiates a new channel for Dapr sidecar communication.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActorClient

    public ActorClient()
    Instantiates a new channel for Dapr sidecar communication.

  - ### ActorClient

    public ActorClient(ResiliencyOptions resiliencyOptions)
    Instantiates a new channel for Dapr sidecar communication.
    Parameters:
      `resiliencyOptions` - Client resiliency options.

  - ### ActorClient

    public ActorClient(Properties overrideProperties)
    Instantiates a new channel for Dapr sidecar communication.
    Parameters:
      `overrideProperties` - Override properties.

  - ### ActorClient

    public ActorClient(Properties overrideProperties, ResiliencyOptions resiliencyOptions)
    Instantiates a new channel for Dapr sidecar communication.
    Parameters:
      `overrideProperties` - Override properties.
      `resiliencyOptions` - Client resiliency options.

  - ### ActorClient

    public ActorClient(Properties overrideProperties, Map<String,String> metadata, ResiliencyOptions resiliencyOptions)
    Instantiates a new channel for Dapr sidecar communication.
    Parameters:
      `overrideProperties` - Override properties.
      `metadata` - gRPC metadata or HTTP headers for actor invocation.
      `resiliencyOptions` - Client resiliency options.

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`